<!-- 
Author(s): Shibaji Chakraborty

Disclaimer:

-->

# Pynasonde
<div style="text-align: center;">
  <img src="assets/Colab-pynasonde-logo2.jpg" alt="Pynasonde" width="50%">
</div>

[![License: MIT](https://img.shields.io/badge/License%3A-MIT-green)](https://choosealicense.com/licenses/mit/) 
[![Python 3.11](https://img.shields.io/badge/python-3.11-blue.svg)](https://www.python.org/downloads/release/python-3110/) 
![GitHub Stable Release (latest by date)](https://img.shields.io/github/v/release/shibaji7/pynasonde)
[![Documentation Status](https://readthedocs.org/projects/pynasonde/badge/?version=latest)](https://pynasonde.readthedocs.io/en/latest/?badge=latest)

Pynasonde is an open-source Python-based application designed for precision ionospheric radio sounding, with a strong focus on analyzing the phase characteristics of radio echoes. Tailored for Space Weather applications, Pynasonde offers a suite of unique tools that help extract valuable insights directly and autonomously from ionogram data.

With Pynasonde, you can achieve accurate echo recognition, noise discrimination, and echo classification into traces. The application also facilitates the scaling of standard ionospheric parameters, 3-D plasma density inversion (including error bars), diagnostics of small-scale irregularities, and determination of vector velocities.

Designed as a comprehensive toolbox, Pynasonde empowers researchers to process raw ionosonde datasets efficiently, providing reliable, real-time insights into ionospheric conditions and phenomena. Whether you're focused on space weather forecasting, radio communication, or scientific exploration, Pynasonde is your go-to tool for precision ionospheric analysis.

## Source Code 

The library source code can be found on the [pynasonde GitHub](https://github.com/shibaji7/pynasonde) repository. 

If you have any questions or concerns please submit an **Issue** on the [pynasonde GitHub](https://github.com/shibaji7/pynasonde) repository. 

## Table of Contents 
  - [Installation](user/install.md)
  - [Ionosonde Data Access](user/ionosonde.md)
  - [Citing](user/citing.md)
  - [Authors](user/authors.md)
  - Toolbox
    - [ISCA](tools/isca.md)
  - Tutorials
  - [VIPIR](user/vipir.md)
  - [DIGISONDE](user/digisonde.md)
